/*
 * postal_free_msggroup.c
 * Free a POSTAL_MSG_GROUP struct
 * libpostal project
 * libpost_raw gen code
 * $Id: postal_free_msggroup.c,v 1.6 2003/06/03 13:31:00 fullermd Exp $
 */

#include <stdlib.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_extra_p.h>


void
postal_free_msggroup(POSTAL_MSG_GROUP *tofree)
{
	int i;
	long total;

	if(!tofree)
		return;

	total = tofree->num_msgs;

	for(i=0 ; i<total ; i++)
		postal_free_msg((tofree->msgs)[i]);

	free(tofree->msgs);
	free(tofree);
}
