/*
 * postal_strerror.c
 * Friendly error-grabbing function
 * libpostal project
 * libpost_raw gen code
 * $Id: postal_strerror.c,v 1.1 2003/06/04 10:19:07 fullermd Exp $
 */

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_extra_p.h>

extern const char *const postal_errlist[];
extern const int postal_nerr;


const char *
postal_strerror(int p_errno)
{
	if( (p_errno>0) && (p_errno<postal_nerr) )
		return(postal_errlist[p_errno]);
	return(NULL);
}
