/*
 * postal_whack_cr.c
 * Whack \r\n's down to \n's
 * libpostal project
 * libpost_raw gen code
 * $Id: postal_whack_cr.c,v 1.7 2003/06/03 13:31:00 fullermd Exp $
 */

#include <stdlib.h>
#include <string.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_extra_p.h>


char *
postal_whack_cr(char *in_str)
{
	char *buf, *buf2, *tmpbuf, *toret;

	tmpbuf = malloc(strlen(in_str)+1);
	if(tmpbuf==NULL)
		POSTAL_ERRSET_RP(POSTAL_E_NOMEM, NULL);
	buf2 = malloc(strlen(in_str)+1);
	if(buf2==NULL)
	{
		free(tmpbuf);
		POSTAL_ERRSET_RP(POSTAL_E_NOMEM, NULL);
	}
	strcpy(buf2, in_str);
	toret = buf2;

	while( (buf = strstr(toret, "\r\n\0")) != NULL )
	{
		*buf='\0';
		buf++;
		sprintf(tmpbuf, "%s%s", toret, buf);
		toret = tmpbuf;
	}

	free(buf2);
	return(toret);
}
