/*
 * post_raw_mbox_p.h
 * Private header file for mbox section
 * libpostal project
 * libpost_raw
 * $Id: post_raw_mbox_p.h,v 1.12 2003/07/16 09:44:14 fullermd Exp $
 */

#ifndef _LIBPOSTAL_POST_RAW_MBOX_P_H_
#define _LIBPOSTAL_POST_RAW_MBOX_P_H_

/* Prototypes */
/* These are private interfaces, they should never be exposed */
SPEC_MBOX *mbox_alloc_spec(void);
int mbox_derive_from(char **);
void mbox_free_spec(SPEC_MBOX *);
int mbox_lock_read(POSTAL_CONN *, int);
int mbox_lock_write(POSTAL_CONN *, int);
int mbox_set_conlen(POSTAL_MSG *);
int mbox_set_status(POSTAL_MSG *);
int mbox_unlock(POSTAL_CONN *);
int mbox_validate_from(const char *);

#endif /* !_LIBPOSTAL_POST_RAW_MBOX_P_H_ */
