/*
 * post_raw_pop_p.h
 * Private header file for POP section
 * libpostal project
 * libpost_raw
 * $Id: post_raw_pop_p.h,v 1.6 2003/07/16 09:44:14 fullermd Exp $
 */

#ifndef _LIBPOSTAL_POST_RAW_POP_P_H_
#define _LIBPOSTAL_POST_RAW_POP_P_H_

/* #include's in #includes, bad boy! */
#include <string.h>


/* Constants */
#define POP_HDRLEN		160		/* Arbitrary, but 2 'lines' is plenty */

#define POP_GOOD		"+OK"
#define POP_BAD			"-ERR"


/* Macros */
#define POP_CMD_SEND(c,s)	(write(c->spec.pop->sock, s, strlen(s)))


/* Prototypes */
/* These are private interfaces, they should never be exposed */
SPEC_POP *pop_alloc_spec(void);
int pop_answer_check(POSTAL_CONN *);
void pop_free_spec(SPEC_POP *);
void pop_network_close(POSTAL_CONN *);

#endif /* !_LIBPOSTAL_POST_RAW_POP_P_H_ */
