/*
 * maildir_status2info.c
 * Build an info string from known status
 * libpostal project
 * libpost_raw maildir code
 * $Id: maildir_status2info.c,v 1.2 2003/06/04 05:55:05 fullermd Exp $
 */

#include <stdlib.h>
#include <string.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_maildir_p.h>
#include <post_raw_extra_p.h>


char *
maildir_status2info(int status)
{
	/* XXX Hardcoded size XXX */
	char tmpbuf[16], *toret;

	sprintf(tmpbuf, "2,");

	if( (status&STATUS_NEW) )
		POSTAL_ERRSET_RP(POSTAL_E_NOERR, NULL);
	
	/* Alphabetic order is requisite */
	if( (status&STATUS_REPLIED) )
		strcat(tmpbuf, "R");
	if( (status&STATUS_READ) )
		strcat(tmpbuf, "S");

	toret = strdup(tmpbuf);
	if(toret==NULL)
		POSTAL_ERRSET_RP(POSTAL_E_NOMEM, NULL);
	return(toret);
}
