/*
 * mbox_alloc_spec.c
 * Allocate a SPEC_MBOX struct
 * libpostal project
 * libpost_raw mbox code
 * $Id: mbox_alloc_spec.c,v 1.2 2003/07/16 09:44:14 fullermd Exp $
 */

#include <stdlib.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_mbox_p.h>
#include <post_raw_extra_p.h>


SPEC_MBOX *
mbox_alloc_spec(void)
{
	SPEC_MBOX *toret;

	toret = malloc(SMBOX_SIZE);
	if(toret==NULL)
		POSTAL_ERRSET_RP(POSTAL_E_NOMEM, NULL);

	toret->filename = NULL;
	toret->file = NULL;

	toret->locks = 0;
	toret->desc = -1; /* 0 is stdin.  Don't risk it. */

	return(toret);
}
