#!/bin/sh
# Find a specified program
# $Id: findprog.sh,v 1.5 2003/05/26 09:25:52 fullermd Exp $

progname=$1
tooldir=$2

for i in /usr/bin /bin /usr/sbin /sbin /usr/local/bin /usr/local/sbin \
		`echo $PATH | sed "s/:/\ /g"` ${tooldir}; do
	if [ -x ${i}/${progname} ]; then
		echo ${i}/${progname}
		exit
	fi
done

# Should never get here if it's found
echo "***> ERROR: Can't find ${progname} <***" >&2
