/*
 * postal_alloc_conn.c
 * Allocate a POSTAL_CONN struct
 * libpostal project
 * libpost_raw gen code
 * $Id: postal_alloc_conn.c,v 1.1 2003/07/13 07:40:22 fullermd Exp $
 */

#include <stdlib.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_extra_p.h>


POSTAL_CONN *
postal_alloc_conn(void)
{
	POSTAL_CONN *toret;

	toret = malloc(PCONN_SIZE);
	if(toret==NULL)
		POSTAL_ERRSET_RP(POSTAL_E_NOMEM, NULL);
	toret->spec.pop=NULL; /* Get the whole union */
	toret->conn_type=SRC_NONE;
	toret->msgs=NULL;

	return(toret);
}
