/*
 * postal_alloc_msggroup.c
 * Allocate a POSTAL_MSG_GROUP struct
 * libpostal project
 * libpost_raw gen code
 * $Id: postal_alloc_msggroup.c,v 1.1 2003/07/16 10:12:40 fullermd Exp $
 */

#include <stdlib.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_extra_p.h>


POSTAL_MSG_GROUP *
postal_alloc_msggroup(void)
{
	POSTAL_MSG_GROUP *toret;

	toret = malloc(PMSGGROUP_SIZE);
	if(toret==NULL)
		POSTAL_ERRSET_RP(POSTAL_E_NOMEM, NULL);

	toret->msgs=NULL;

	toret->num_msgs=0;
	toret->alloced=0;

	return(toret);
}
