/*
 * post_raw_maildir_p.h
 * Private header file for maildir section
 * libpostal project
 * libpost_raw
 * $Id: post_raw_maildir_p.h,v 1.7 2003/07/16 11:17:30 fullermd Exp $
 */

#ifndef _LIBPOSTAL_POST_RAW_MAILDIR_P_H_
#define _LIBPOSTAL_POST_RAW_MAILDIR_P_H_

/* Prototypes */
/* These are private interfaces, they should never be exposed */
MAILDIR_MSG *maildir_alloc_mdmsg(void);
SPEC_MDIR *maildir_alloc_spec(void);
void maildir_free_mdmsg(MAILDIR_MSG *);
void maildir_free_spec(SPEC_MDIR *);
int maildir_msg_filename_construct(MAILDIR_MSG *, int);
int maildir_msg_filename_dissect(MAILDIR_MSG *);
char *maildir_status2info(int);

#endif /* !_LIBPOSTAL_POST_RAW_MAILDIR_P_H_ */
