/*
 * maildir_alloc_mdmsg.c
 * Allocate a MAILDIR_MSG struct
 * libpostal project
 * libpost_raw maildir code
 * $Id: maildir_alloc_mdmsg.c,v 1.1 2003/07/16 11:17:30 fullermd Exp $
 */

#include <stdlib.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_maildir_p.h>
#include <post_raw_extra_p.h>


MAILDIR_MSG *
maildir_alloc_mdmsg(void)
{
	MAILDIR_MSG *toret;

	toret = malloc(MMSG_SIZE);
	if(toret==NULL)
		POSTAL_ERRSET_RP(POSTAL_E_NOMEM, NULL);

	toret->filename = NULL;
	toret->unique = NULL;
	toret->info = NULL;
	toret->obase = NULL;

	toret->size = 0;
	toret->loc = LOC_NONE;

	return(toret);
}
