/*
 * maildir_close.c
 * Close a Maildir mailbox
 * libpostal project
 * libpost_raw maildir code
 * $Id: maildir_close.c,v 1.4 2003/07/16 10:38:52 fullermd Exp $
 */

#include <sys/file.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_maildir_p.h>
#include <post_raw_extra_p.h>


void
maildir_close(POSTAL_CONN *p_conn)
{
	/*
	 * There's no descriptors to actually 'close'.
	 * Maildirs are pretty stateless, so really all we need to do is wipe
	 * out the memory we're using for it.
	 */
	postal_free_conn(p_conn);
}
