/*
 * maildir_free_mdmsg.c
 * Free a MAILDIR_MSG struct
 * libpostal project
 * libpost_raw maildir code
 * $Id: maildir_free_mdmsg.c,v 1.1 2003/07/16 11:17:30 fullermd Exp $
 */

#include <stdlib.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_maildir_p.h>
#include <post_raw_extra_p.h>


void
maildir_free_mdmsg(MAILDIR_MSG *tofree)
{
	if(tofree->filename!=NULL)
		free(tofree->filename);
	if(tofree->unique!=NULL)
		free(tofree->unique);
	if(tofree->info!=NULL)
		free(tofree->info);
	if(tofree->obase!=NULL)
		free(tofree->obase);

	free(tofree);

	return;
}
