/*
 * mbox_close_file.c
 * Close a mbox-format file
 * libpostal project
 * libpost_raw mbox code
 * $Id: mbox_close_file.c,v 1.9 2003/07/13 07:40:22 fullermd Exp $
 */

#include <sys/file.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_mbox_p.h>
#include <post_raw_extra_p.h>


void
mbox_close_file(POSTAL_CONN *p_conn)
{
	/* Flush it, just to make sure */
	fflush(p_conn->spec.mbox->file);

	/* And close out */
	mbox_unlock(p_conn);
	fclose(p_conn->spec.mbox->file);

	/* Cleanup memory */
	postal_free_conn(p_conn);
}
