/*
 * pop_alloc_spec.c
 * Allocate a SPEC_POP struct
 * libpostal project
 * libpost_raw pop code
 * $Id: pop_alloc_spec.c,v 1.2 2003/07/16 09:44:14 fullermd Exp $
 */

#include <stdlib.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_pop_p.h>
#include <post_raw_extra_p.h>


SPEC_POP *
pop_alloc_spec(void)
{
	SPEC_POP *toret;

	toret = malloc(SPOP_SIZE);
	if(toret==NULL)
		POSTAL_ERRSET_RP(POSTAL_E_NOMEM, NULL);

	toret->srv_header = NULL;

	toret->sock = -1; /* 0 is stdin.  Don't risk it. */

	return(toret);
}
