/*
 * pop_dele.c
 * POP 'DELE' query
 * libpostal project
 * libpost_raw  POP code
 * $Id: pop_dele.c,v 1.6 2003/06/04 09:18:26 fullermd Exp $
 */

#include <sys/types.h>
#include <sys/uio.h>
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_pop_p.h>
#include <post_raw_extra_p.h>


int
pop_dele(POSTAL_CONN *p_conn, int msgnum)
{
	char buf[BUFFER_SIZE+1];

	/* Send request */
	sprintf(buf, "DELE %d\r\n", msgnum);
	POP_CMD_SEND(p_conn, buf);
	CLEARSTRING(buf);

	/* Get the response */
	return(pop_answer_check(p_conn)); /* Pass-thru p_errno */
}
