/*
 * pop_free_retlist.c
 * Free the POP_RET_LIST structure
 * libpostal project
 * libpost_raw  POP code
 * $Id: pop_free_retlist.c,v 1.7 2002/04/02 04:50:37 fullermd Exp $
 */

#include <stdlib.h>

#include <post_raw.h>
#include <post_raw_p.h>
#include <post_raw_pop_p.h>
#include <post_raw_extra_p.h>


void
pop_free_retlist(POP_RET_LIST *tofree)
{
	POP_RET_LIST *temp;

	if(!tofree)
		return;

	while(tofree)
	{
		temp=tofree->next;
		free(tofree);
		tofree=temp;
	}
}
